RubyGems Navigation menu

trollop 1.5

Trollop is YAFCLAP --- yet another fine commandline argument processing library for Ruby. Trollop is designed to provide the maximal amount of GNU-style argument processing in the minimum number of lines of code (for you, the programmer). Trollop provides a nice automatically-generated help page, robust option parsing, and sensible defaults for everything you don't specify. Synopsis: ###### simple ###### opts = Trollop::options do opt :monkey, "Use monkey mode." opt :goat, "Use goat model", :default => true opt :num_limbs, "Set number of limbs", :default => 4 end p opts ###### complex ###### opts = Trollop::options do version "test 1.2.3 (c) 2007 William Morgan" banner <<-EOS Test is an awesome program that does something very, very important. Usage: test [options] <filenames>+ where [options] are: EOS opt :ignore, "Ignore incorrect values" opt :file, "Extra data filename to read in, with a very long option description like this one", :type => String opt :volume, "Volume level", :default => 3.0 opt :iters, "Number of iterations", :default => 5 end Trollop::die :volume, "must be non-negative" if opts[:volume] < 0 Trollop::die :file, "must exist" unless File.exists?(opts[:file]) if opts[:file] == REQUIREMENTS: * none

Gemfile
          gem 'trollop', '~> 1.5'
  
  
  
  
  
  
  

install
          gem install trollop -v 1.5
  
  
  
  
  
  
  

Total downloads 2,493,493

For this version 1,243

Show all versions (26 total)

Required Ruby Version: None

Links:

Versions:

  1. 2.0 - August 14, 2012 (22 KB)
  2. 1.16.2 - April 6, 2010 (21.5 KB)
  3. 1.16.1 - April 6, 2010 (21 KB)
  4. 1.16 - April 1, 2010 (21 KB)
  5. 1.15 - September 30, 2009 (20.5 KB)
Show all versions (26 total)